Texa DeskDevelopers

Texa Desk Application API · Custom filters

Create a custom filter

POST/api/v1/accounts/{account_id}/custom_filters

Create a custom filter in the account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

account_idintegerrequired

The numeric ID of the account

Query parameters

filter_typestring

The type of custom filter

Body application/json

namestring

The name of the custom filter

typestring

The description about the custom filter One of: conversation, contact, report.

queryobject

A query that needs to be saved as a custom filter

Responses

200

Success

idnumber

The ID of the custom filter

namestring

The name of the custom filter

typestring

The description about the custom filter One of: conversation, contact, report.

queryobject

A query that needs to be saved as a custom filter

created_atstring (date-time)

The time at which the custom filter was created

updated_atstring (date-time)

The time at which the custom filter was updated

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring